# react-native-auth-service-client

Demo app to test my package

## Installation

```sh
npm install react-native-auth-service-client
```

## Usage

```js
import { multiply } from 'react-native-auth-service-client';

// ...

const result = await multiply(3, 7);
```

## Contributing

See the [contributing guide](CONTRIBUTING.md) to learn how to contribute to the repository and the development workflow.

## License

MIT

---

Made with [create-react-native-library](https://github.com/callstack/react-native-builder-bob)

--- This way we declare
import {
  addEvent,
  getEvent,
  deleteEvent,
} from 'react-native-auth-service-client';


--- How to use all function

  const fetchValue = () => {
    // If android then you need to pass provider value other wise no need
    getEvent("com.demo.user.provider")
      .then((result) => setResult(result))
      .catch((err: any) => setResult('No data found in keychain'));
  };

  const deleteValue = () => {
    deleteEvent()
      .then((result) => setResult('Key Chain data '))
      .catch((err: any) => console.log(' save error==>', err));
  };

  const addValue = () => {
    console.log(email,password)
    addEvent(email, password)
      .then(fetchValue)
      .catch((err: any) => console.log(' save error==>', err));
  };
