#import <React/RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(AuthServiceClient, NSObject)
RCT_EXTERN_METHOD(multiply:(float)a withB:(float)b
                 withResolver:(RCTPromiseResolveBlock)resolve
                 withRejecter:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(show:(NSString*)message
                 withResolver:(RCTPromiseResolveBlock)resolve
                 withRejecter:(RCTPromiseRejectBlock)reject)




RCT_EXTERN_METHOD(addEvent:(NSString *)email
                 password:(NSString *)password
                 withResolver:(RCTPromiseResolveBlock)resolve
                 withRejecter:(RCTPromiseRejectBlock)reject)     

RCT_EXTERN_METHOD(getEvent:(RCTPromiseResolveBlock)resolve
                 withRejecter:(RCTPromiseRejectBlock)reject)      

RCT_EXTERN_METHOD(deleteEvent:(RCTPromiseResolveBlock)resolve
                 withRejecter:(RCTPromiseRejectBlock)reject)        
@end


