
import Foundation
import UIKit
import SwiftKeychainWrapper
@objc(AuthServiceClient)
class AuthServiceClient: UIViewController {
@objc(multiply:withB:withResolver:withRejecter:)
func multiply(a: Float, b: Float, resolve:RCTPromiseResolveBlock,reject:RCTPromiseRejectBlock) -> Void {
    resolve(a*b)
}
@objc(show:withResolver:withRejecter:)
func show(message:String, resolve:RCTPromiseResolveBlock,reject:RCTPromiseRejectBlock) -> Void {
        print("message======>"+message)
//        let alert = UIAlertController(title: nil, message: message, preferredStyle: .alert)
//        alert.view.backgroundColor = UIColor.black
//        alert.view.alpha = 0.6
//        alert.view.layer.cornerRadius = 15
//        self.present(alert, animated: true)
//
//        DispatchQueue.main.asyncAfter(deadline: DispatchTime.now() + 60) {
//            alert.dismiss(animated: true)
//        }
    
    let deviceID = UIDevice.current.identifierForVendor!.uuidString

    
    print("deviceID==>"+deviceID)
    resolve(true)

}

 @objc(addEvent:password:withResolver:withRejecter:)
 func addEvent(email: String, password: String, resolve:RCTPromiseResolveBlock,reject:RCTPromiseRejectBlock) -> Void {
   // Date is ready to use!
   print("name==>"+email+"location==>"+password)
   let saveEmail: Bool = KeychainWrapper.standard.set(email, forKey: "@my_email")
   let savePassword: Bool = KeychainWrapper.standard.set(password, forKey: "@my_password")
     print("saveEmail===>")
     print(saveEmail)
     print("savePassword====>")
     print(savePassword)
   if(saveEmail && savePassword ){
   resolve(true)
   }
   else{
   reject("Error","Value Not Saved", nil)
   }
   
 }


 @objc(getEvent:withRejecter:)
 func getEvent(resolve:RCTPromiseResolveBlock,reject:RCTPromiseRejectBlock) -> Void {
   let saveEmail: String = KeychainWrapper.standard.string(forKey: "@my_email")
     ?? "No Data"
   let savePassword: String = KeychainWrapper.standard.string(forKey: "@my_password")
     ?? "No Data"
     print("saveEmail===>",saveEmail+"savePassword====>"+savePassword)
     if(saveEmail=="No Data" && savePassword=="No Data" ){
    reject("Error","Value Not Saved", nil)
     }
     else{
      resolve("\n"+saveEmail+"\n"+savePassword)
     }
 }

    
@objc(deleteEvent:withRejecter:)
func deleteEvent(resolve:RCTPromiseResolveBlock,reject:RCTPromiseRejectBlock) -> Void {
 let saveEmail: Bool = KeychainWrapper.standard.removeObject(forKey: "@my_email")
 let savePassword: Bool = KeychainWrapper.standard.removeObject(forKey: "@my_password")
    
 if(saveEmail && savePassword){
     resolve(true)
 }
 else{
     reject("Error","Value Not Deleted", nil)
 }
 }

    
    
}
